<div class="cover-input" [ngClass]="{ 'is-invalid': showError && value === 0 }">
  <input placeholder="-" [(ngModel)]="value" xrdOnlyNumber (change)="changeValueFunc($event)" />
  <span class="txt-unit">{{ unit }}</span>
  <div class="cover-btn">
    <a href="javascript:;" class="click-arrow" (click)="incrementUpFunc()">
      <span class="arrow-up"></span>
    </a>
    <a href="javascript:;" class="click-arrow" (click)="incrementDownFunc()">
      <span class="arrow-up arrow-down"></span>
    </a>
  </div>
  <!-- end/cover btn -->
</div>
